<?php include UTILS_PATH."libs.php"?>
<?php include UTILS_PATH."requests.php"?>
<?php include "scripts".DIRECTORY_SEPARATOR."vue.components.php"?>
<script>
	document.addEventListener("DOMContentLoaded", function () {
		var elems2 = document.querySelectorAll('.modal');
		$('#selectTipoSubida').formSelect();
		var instances2 = M.Modal.init(elems2, {
			dismissible: false,
		});
    });
    $(document).ready(function(){
        $('.tabs').tabs();
        $('.timepicker').timepicker({autoClose: true});
    });
    <?php echo file_get_contents("scripts".DIRECTORY_SEPARATOR."vue.app.js", TRUE)?>

	$('.tooltipped').tooltip();
	var flagBanderaShida = true;
    var gauge;
    
	function cambiarAOscuro() {
        for (let i = 0; i < bla.length; i++) {
            bla[i].classList.remove('white');
            bla[i].classList.add('grey');
            bla[i].classList.add('lighten-1');
            bla[i].style.filter = 'invert(100%)';
        }
    }
    if (localStorage.getItem('background') == "black") {
        bla = document.getElementsByClassName('card-panel')
        bla = Array.prototype.slice.call(bla)
        cambiarAOscuro();
    }
</script>